Subject: Re: [PATCH net v1] net: protect tcf_block_unbind with block lock

From: Leon Romanovsky <[email-masked]>
Date: Wed, 28 Oct 2020 07:28:56 +0200

On Tue, Oct 27, 2020 at 06:03:31PM -0700, Jakub Kicinski wrote:
> On Mon, 26 Oct 2020 14:33:27 +0200 Leon Romanovsky wrote:
> > From: Leon Romanovsky <[email-masked]>
> >
> > The tcf_block_unbind() expects that the caller will take block->cb_lock
> > before calling it, however the code took RTNL lock and dropped cb_lock
> > instead. This causes to the following kernel panic.
>
> > Fixes: 0fdcf78d5973 ("net: use flow_indr_dev_setup_offload()")
> > Signed-off-by: Leon Romanovsky <[email-masked]>
> > ---
> > v1:
> >  * Returned rtnl_lock()
> > v0:
> > https://lore.kernel.org/netdev/[email-masked]
>
> Applied, thanks.
>
> I'm surprised you put the lore link in the notes. Maybe the usefulness
> of the change log could be argued, but the number of times I tried to
> find a specific revision and couldn't...

This is my preferred way of submitting patches, it allows to enjoy from
all worlds: clean commit message and ability to see previous versions
at the same time.

Lorifier [1] gives such links to me in automatic way, all that I need
is to copy them from previous versions.

[1] https://github.com/danrue/lorifier

Thanks